<?php

namespace CodingTests;

class Prime
{
    static function isPrime(int $number) : bool {
		if($number <= 1)
		{
			return false;
		}
		$factors = 0;

		for($i = 1; $i <= floor(sqrt($number)); $i++){
			if(is_int($number/$i)){
				$factors++;
			}
		}

		$factors++;
		if($factors == 2){
			return true;
		}

		return false;	
    }

    static function findFactors(int $number) : array {
		$factors = [];
		if($number <= 1)
		{
			return $factors;
		}
		
		for($i = 1; $i <= floor(sqrt($number)); $i++){
			if(is_int($number/$i)){
				$factors[] = $number/$i;
			}
		}

        $factors[] = $number;

		return $factors;	
    }

}